Skip to main content
PUT
/
v2
/
session
/
apps
/
{appID}
/
users
/
{userID}
/
external_id
Update user external ID
curl --request PUT \
  --url https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/external_id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>"
}
'
{
  "code": "invalid_request",
  "status": "bad_request",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

userID
string
required

The id of the user the request refers to. An app's user's unique identifier. It is prefixed with 'usr_'

Examples:

"usr_01jqebhswje1ka1z7ahr9rfsgt"

"usr_01jqy7455pf8p9bap5qke912g1"

Body

application/json
external_id
string
required

ID of the user in your system. Must be at most 128 characters.

Maximum string length: 128
Example:

"customer-user-42"

Response

No Content